#!/bin/bash
# You may use this script to perform any operations prior to upgrading the Doctor
# This script is used once and is deleted after the upgrade
# Exit code other than 0 will stop the upgrade!

CFOLDER=`pwd`
if [ ! -d ../harvester_bundle ]; then		#### Safety to make sure we always upgrade
	exit 0
fi
cd ../harvester_bundle/
######## Save current config.ini aside ##########
if [ -f config.ini ]; then
	echo "OK: Saving config.ini in /var/tmp/harvester-config.ini before upgrading..."
	if [ -f /var/tmp/harvester-config.ini ]; then
		mv /var/tmp/harvester-config.ini /var/tmp/harvester-config.ini.$$
	fi
	cp -p config.ini /var/tmp/harvester-config.ini
fi

### Go back to the original folder we started in
cd $CFOLDER

exit 0
